User Home

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
PATCH

Retrieve user home settings

Required API key scopes

user:read

Path parameters

  • uuid
    string

Response


Example request

GET /api/user_home_settings/:uuid
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/user_home_settings/:uuid/

Example response

Status 200
RESPONSE
{
"tabs": [
{
"id": "string",
"pathname": "string",
"search": "string",
"hash": "string",
"title": "string",
"customTitle": "string",
"iconType": "string",
"sceneId": "string",
"sceneKey": "string",
"sceneParams": null,
"pinned": true
}
],
"homepage": {
"id": "string",
"pathname": "string",
"search": "string",
"hash": "string",
"title": "string",
"customTitle": "string",
"iconType": "string",
"sceneId": "string",
"sceneKey": "string",
"sceneParams": null,
"pinned": true
}
}

Retrieve user home settings

Required API key scopes

user:read

Path parameters

  • uuid
    string

Response


Example request

GET /api/user_home_settings/:uuid
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/user_home_settings/:uuid/

Example response

Status 200
RESPONSE
{
"tabs": [
{
"id": "string",
"pathname": "string",
"search": "string",
"hash": "string",
"title": "string",
"customTitle": "string",
"iconType": "string",
"sceneId": "string",
"sceneKey": "string",
"sceneParams": null,
"pinned": true
}
],
"homepage": {
"id": "string",
"pathname": "string",
"search": "string",
"hash": "string",
"title": "string",
"customTitle": "string",
"iconType": "string",
"sceneId": "string",
"sceneKey": "string",
"sceneParams": null,
"pinned": true
}
}

Update user home settings

Required API key scopes

user:write

Path parameters

  • uuid
    string

Request parameters

  • tabs
    Click to open
    array
  • homepage

Response


Example request

PATCH /api/user_home_settings/:uuid
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/user_home_settings/:uuid/\
-d tabs="array"

Example response

Status 200
RESPONSE
{
"tabs": [
{
"id": "string",
"pathname": "string",
"search": "string",
"hash": "string",
"title": "string",
"customTitle": "string",
"iconType": "string",
"sceneId": "string",
"sceneKey": "string",
"sceneParams": null,
"pinned": true
}
],
"homepage": {
"id": "string",
"pathname": "string",
"search": "string",
"hash": "string",
"title": "string",
"customTitle": "string",
"iconType": "string",
"sceneId": "string",
"sceneKey": "string",
"sceneParams": null,
"pinned": true
}
}

Update user home settings

Required API key scopes

user:write

Path parameters

  • uuid
    string

Request parameters

  • tabs
    Click to open
    array
  • homepage

Response


Example request

PATCH /api/user_home_settings/:uuid
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/user_home_settings/:uuid/\
-d tabs="array"

Example response

Status 200
RESPONSE
{
"tabs": [
{
"id": "string",
"pathname": "string",
"search": "string",
"hash": "string",
"title": "string",
"customTitle": "string",
"iconType": "string",
"sceneId": "string",
"sceneKey": "string",
"sceneParams": null,
"pinned": true
}
],
"homepage": {
"id": "string",
"pathname": "string",
"search": "string",
"hash": "string",
"title": "string",
"customTitle": "string",
"iconType": "string",
"sceneId": "string",
"sceneKey": "string",
"sceneParams": null,
"pinned": true
}
}

Community questions

Questions about this page? or post a community question.